Subject: bug#52870: Is displaying <menu-bar> bindings in describe-function useful?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Dec 2021 18:51:52 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 29 Dec 2021 06:49:12 -0800
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I would therefore like to suggest either:
> >>
> >> a) Displaying nothing at all for such bindings.  The menu entries will
> >>    be shown in the menu itself, and that is enough.
> >>
> >>    In this case, we could have an option to revert to the old behavior.
> >>
> >> b) Show it separately from other key bindings at the end, maybe
> >>    something like this:
> >
> > This is a serious change in behavior, so I think it could only fly as
> > an opt-in feature.  It sounds like a personal preference, so an
> > option, off by default, for it sounds about right.
> 
> I assume you are talking by option a).  I retract that proposal, and
> propose option b) as the default behaviour.  Thanks.

If by b) you mean to push the menu binding to the very end, where it
will probably not seen at all, then I don't think that could be the
default, either.  Just changing the order, so that non-menu bindings
are shown first, is okay, I think.  But banishing that to after the
version where the command was introduced doesn't sound like something
I could agree to by default.